story4/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
    path('story6/',include('story6.urls'),name="story6"),
    path('story7/', include('story7.urls'),name="story7"),
    path('story8/', include('story8.urls'),name="story8"),
    path('story9/', include('story9.urls'),name="story9"),
]

story6/urls.py
from django.urls import path
from . import views

app_name = 'story6'

urlpatterns = [
    path('homekegiatan/',views.homekegiatan, name='homekegiatan'),
    path('addkegiatan/',views.addkegiatan,name = 'addkegiatan'),
    path('listkegiatan/',views.listkegiatan, name='listkegiatan'),
    path('register/<int:task_id>/', views.register, name='register'),
    path('delete/<int:delete_id>/', views.deleteUser, name='delete'),
    path('deleteActivity/<int:delete_id>/', views.deleteActivity, name='deleteActivity'),

]

story6/models.py
from django.db import models

# Create your models here.

class Kegiatan(models.Model):
    namakegiatan = models.CharField(max_length = 100)

    def __str__(self):
        return self.namakegiatan

class Orang(models.Model):
    namaorang = models.CharField(max_length=64)
    kegiatan = models.ForeignKey(Kegiatan,
                                 on_delete=models.CASCADE, null=True, blank=True)
    def __str__(self):
        return self.namaorang





        

story6/forms.py
from django import forms

class FormKegiatan(forms.Form):
    namakegiatan = forms.CharField(
        label = "Nama Kegiatan", 
        widget = forms.TextInput(
            attrs={
            'placeholder' : 'Enter nama kegiatan ',
            'type' : 'text',
            'id' : 'namakegiatan',
            'class':'form-control',
            'required': True,

            }
        )
    )

class FormOrang(forms.Form):
    namaorang = forms.CharField(
        label="Nama",
        max_length=64,
        widget=forms.TextInput(
            attrs={
                'placeholder' : 'Enter nama kamu ',
                'type' : 'text',
                'id' : 'nama',
                'class': 'form-control',
            }
        )
    )
    

story6/views.py
from django.shortcuts import render ,redirect
from .forms import FormKegiatan, FormOrang
from .models import Kegiatan, Orang
from datetime import datetime
from . import forms

# Create your views here.

def homekegiatan(request):
    return render(request, 'homekegiatan.html')

def addkegiatan(request):
    form_kegiatan = forms.FormKegiatan()
    if request.method == 'POST':
        form_kegiatan_input = forms.FormKegiatan(request.POST)
        if form_kegiatan_input.is_valid():
            data = form_kegiatan_input.cleaned_data
            kegiatan_input = Kegiatan()
            kegiatan_input.namakegiatan = data['namakegiatan']
            kegiatan_input.save()
            current_data = Kegiatan.objects.all()
            return redirect('story6:homekegiatan')  
        else:
            current_data = Kegiatan.objects.all()
            return render(request, 'addkegiatan.html',{'form':form_kegiatan, 'status':'failed','data':current_data})
    else:
        current_data = Kegiatan.objects.all()
        return render(request, 'addkegiatan.html',{'form':form_kegiatan,'data':current_data})

def listkegiatan(request):
    kegiatan = Kegiatan.objects.all()
    orang = Orang.objects.all()
    return render(request, 'listkegiatan.html', {'kegiatan': kegiatan, 'orang': orang})


def deleteUser(request, delete_id):
    # if request.method == "POST":
    kegiatan = Kegiatan.objects.all()
    orang = Orang.objects.all()
    print(delete_id)
    orang_to_delete = Orang.objects.get(id=delete_id)
    orang_to_delete.delete()
    # return render(request, 'story6/listActivity.html', {'kegiatan': kegiatan, 'orang': orang})
    return redirect('story6:listkegiatan')

def deleteActivity(request, delete_id):
    # if request.method == "POST":
    kegiatan = Kegiatan.objects.all()
    orang = Orang.objects.all()
    print(delete_id)
    kegiatan_to_delete = Kegiatan.objects.get(id=delete_id)
    kegiatan_to_delete.delete()
    # return render(request, 'story6/listActivity.html', {'kegiatan': kegiatan, 'orang': orang})
    return redirect('story6:listkegiatan')


def register(request, task_id):
    form_orang = FormOrang()
    if request.method == "POST":
        form_orang_input = FormOrang(request.POST)
        # print('oi')
        if form_orang_input.is_valid():
            data = form_orang_input.cleaned_data
            orangBaru = Orang()
            orangBaru.namaorang = data['namaorang']
            orangBaru.kegiatan = Kegiatan.objects.get(id=task_id)
            orangBaru.save()
            return redirect('story6:listkegiatan')
        else:
            return render(request, 'register.html', {'form': form_orang, 'status': 'failed'})
    else:
        return render(request, 'register.html', {'form': form_orang})

story6/templates/addkegiatan.html
{% extends 'base.html' %}
<!DOCTYPE html>
{% load static %}
<html>

<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>gallery</title>
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" type="text/css" href="{% static 'index.css' % }" />
</head>

<body>

    {% block content %}
    
                    
        <section class=" form" id="form">
    <div class="container">
        <div class="card_form">
            <div class="card">
            <h1 class="card__title" font-style : Poppins> Add Kegiatan
            </h1>

        
            <div class="forms">
                <form action='' method="POST">
                    {% csrf_token %}
                    <div class="form-group">
                            {{form.namakegiatan.label_tag}}
                            {{form.namakegiatan}}        
                    </div>
                    <button type="submit" class="btn btn-primary">Submit</button>
                </form>
            </div>
        </div>

        </div>
    </div>
    </section>

    {% endblock %}
    </body>

</html>

story6/templates/homekegiatan.html
{% extends 'base.html' %}
<!DOCTYPE html>
{% load static %}
<html>

<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>gallery</title>
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" type="text/css" href="{% static 'index.css' % }" />
</head>

<body>

    {% block content %}
    <section class="hello" id="hello">
            <div class="container">
                    <div class="card">
                            <div class="card__container">
                              <h1 class="card__title" font-style : Poppins> Kegiatan
                              </h1>
                              <p class="card__subtitle ">You can add a new kegiatan or see what you have so far!</p>
                              <a href="{% url 'story6:addkegiatan' %}" class="btn-one">add Kegiatan</a>
                              <a href="{% url 'story6:listkegiatan' %}" class="btn-one">see Kegiatan</a>
                            </div>
                          </div>  
            </div>
        </section>
    {% endblock %}
</body>
</html>

story6/templates/listkegiatan.html
{% extends 'base.html' %}
<!DOCTYPE html>
{% load static %}
<html>

<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>gallery</title>
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" type="text/css" href="{% static 'index.css' % }" />
</head>

<body>

    {% block content %}

    <section class="hello" id="hello">
    <div class="container">
    <div style="font-family: Poppins;" class="row w-100 justify-content-center">
        {% for x in kegiatan %}
        <div class="col-4 m-4 p-4 rounded border">
            <ul class="list-group">
                <li class="list-group-item list-group-item-secondary"> <b> {{ x.namakegiatan }} </b> 
                    <button>
                            <a href="{% url 'story6:deleteActivity' delete_id=x.pk %}">x</a>
                        </button>
                </li>

                {% for y in orang %}
                {% if y.kegiatan == x %}
                <li class="list-group-item">
                    <div class="d-flex justify-content-between">
                        {{ y.namaorang }}
                        <button>
                            <a href="{% url 'story6:delete' delete_id=y.pk %}">x</a>
                        </button>

                    </div>
                </li>
                {% endif %}
                {% endfor %}
            </ul>

            <div style="font-size: .75em;" class="section-title mx-auto text-center my-3">
                <a href="{%url 'story6:register' task_id=x.pk%}" class="btn-one">Register yourself!</a>
            </div>
        </div>
        {% endfor %}
    </div>
    </div>

</section>
{% endblock content %}
</body>
</html>

story6/templates/register.html
{% extends 'base.html' %}
<!DOCTYPE html>
{% load static %}
<html>

<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>gallery</title>
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" type="text/css" href="{% static 'index.css' % }" />
</head>

<body>

    {% block content %}
    
                    
        <section class=" form" id="form">
    <div class="container">
        <div class="card_form">
            <div class="card">
            <h1 class="card__title" font-style : Poppins> Ikutan Yuk!
            </h1>

        
            <div class="forms">
                <form action='' method="POST">
                    {% csrf_token %}
                    <div class="form-group">
                            {{form.namaorang.label_tag}}
                            {{form.namaorang}}        
                    </div>
                    <button type="submit" class="btn btn-primary">Submit</button>
                </form>
            </div>
        </div>

        </div>
    </div>
    </section>

    {% endblock %}
    </body>

</html>